---
title: socket
type: output
status: stable
categories: ["Network"]
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the contents of:
     lib/output/socket.go
-->

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

Connects to a (tcp/udp/unix) server and sends a continuous stream of data, dividing messages according to the specified codec.

```yml
# Config fields, showing default values
output:
  label: ""
  socket:
    network: ""
    address: ""
    codec: lines
```

## Fields

### `network`

The network type to connect as.


Type: `string`  
Default: `""`  
Options: `unix`, `tcp`, `udp`.

### `address`

The address (or path) to connect to.


Type: `string`  
Default: `""`  

```yml
# Examples

address: /tmp/benthos.sock

address: localhost:9000
```

### `codec`

The way in which the bytes of messages should be written out into the output data stream. It's possible to write lines using a custom delimiter with the `delim:x` codec, where x is the character sequence custom delimiter.


Type: `string`  
Default: `"lines"`  

| Option | Summary |
|---|---|
| `all-bytes` | Only applicable to file based outputs. Writes each message to a file in full, if the file already exists the old content is deleted. |
| `append` | Append each message to the output stream without any delimiter or special encoding. |
| `lines` | Append each message to the output stream followed by a line break. |
| `delim:x` | Append each message to the output stream followed by a custom delimiter. |


```yml
# Examples

codec: lines

codec: "delim:\t"

codec: delim:foobar
```


