---
title: jmespath
type: processor
status: stable
categories: ["Mapping"]
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the contents of:
     lib/processor/jmespath.go
-->

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';


Executes a [JMESPath query](http://jmespath.org/) on JSON documents and replaces
the message with the resulting document.

```yml
# Config fields, showing default values
label: ""
jmespath:
  query: ""
```

:::note Try out Bloblang
For better performance and improved capabilities try out native Benthos mapping with the [bloblang processor](/docs/components/processors/bloblang).
:::


## Fields

### `query`

The JMESPath query to apply to messages.


Type: `string`  
Default: `""`  

## Examples

<Tabs defaultValue="Mapping" values={[
{ label: 'Mapping', value: 'Mapping', },
]}>

<TabItem value="Mapping">


When receiving JSON documents of the form:

```json
{
  "locations": [
    {"name": "Seattle", "state": "WA"},
    {"name": "New York", "state": "NY"},
    {"name": "Bellevue", "state": "WA"},
    {"name": "Olympia", "state": "WA"}
  ]
}
```

We could collapse the location names from the state of Washington into a field `Cities`:

```json
{"Cities": "Bellevue, Olympia, Seattle"}
```

With the following config:

```yaml
pipeline:
  processors:
    - jmespath:
        query: "locations[?state == 'WA'].name | sort(@) | {Cities: join(', ', @)}"
```

</TabItem>
</Tabs>


